public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/dune-configurator/
Date: Sun, 24 Jan 2021 16:06:16 +0000 (UTC)	[thread overview]
Message-ID: <1611504369.d51ff556bdce311ce0a0f5c0a070745ed5d237fd.sam@gentoo> (raw)

commit:     d51ff556bdce311ce0a0f5c0a070745ed5d237fd
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 22 06:38:56 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 16:06:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d51ff556

dev-ml/dune-configurator: bump to 2.8.2

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ml/dune-configurator/Manifest                  |   1 +
 .../dune-configurator-2.8.2.ebuild                 | 107 +++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/dev-ml/dune-configurator/Manifest b/dev-ml/dune-configurator/Manifest
index 3a2231dc56b..5bd42517a4f 100644
--- a/dev-ml/dune-configurator/Manifest
+++ b/dev-ml/dune-configurator/Manifest
@@ -1 +1,2 @@
 DIST dune-2.7.1.tar.gz 1290915 BLAKE2B 85a2dee92d1ead03b43b80742c291f4470dd9e1d843fdb257754c567e2329c101d11b42573da19de537f0d8591ebdacfcaab1099e0f46bdeebcd8421eb1bbcb2 SHA512 b77d0e207263107365e5a6e94423e8ab4ddbab1f920872d915e4014b7cc69915274b53fe946bb4b29dfe3de2bf5573ab3b2bffb4db8eb50b472e7dfb6cab88b7
+DIST dune-2.8.2.tar.gz 1369417 BLAKE2B d846d35675a18abc3ccc57a52574d81a8fb4f082d9935912f035061c1107b47be8752daeb9c49bb2af4877e419a6c8bc30f846db6d773cf5267d3d761272a872 SHA512 fcbe45ea59492517e0868bf1f801c2bd2f3b1b30234e36d789c33e7ee48bd724726beb211697f3820609bbc27923c8c37d7be89dcbd059558014743360f2d0b7

diff --git a/dev-ml/dune-configurator/dune-configurator-2.8.2.ebuild b/dev-ml/dune-configurator/dune-configurator-2.8.2.ebuild
new file mode 100644
index 00000000000..d5e7814dc36
--- /dev/null
+++ b/dev-ml/dune-configurator/dune-configurator-2.8.2.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit dune
+
+DESCRIPTION="A composable build system for OCaml"
+HOMEPAGE="https://github.com/ocaml/dune"
+SRC_URI="https://github.com/ocaml/dune/archive/${PV}.tar.gz -> dune-${PV}.tar.gz"
+S="${WORKDIR}/dune-${PV}"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="+ocamlopt test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	dev-ml/dune-private-libs:=
+	dev-ml/csexp:=
+	dev-ml/result:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND}
+	test? (
+		  dev-ml/menhir
+		  dev-ml/opam
+		  dev-ml/ppx_expect
+	)
+"
+# TODO for test deps:
+# Add cram?
+# Add dev-ml/js_of_ocaml once dev-ml/ocaml-base64 is ported to Dune
+# Add coq?
+
+src_prepare() {
+	default
+
+	# Keep this list in sync with dev-ml/dune-private-libs
+	local bad_tests=(
+		# List of tests calling git, mercurial, etc
+		test/blackbox-tests/test-cases/dune-project-meta/main.t
+		test/blackbox-tests/test-cases/meta-template-version-bug.t
+		test/blackbox-tests/test-cases/subst/project-name-restriction.t
+		test/blackbox-tests/test-cases/subst/with-opam-file.t
+		test/blackbox-tests/test-cases/subst.t
+		test/blackbox-tests/test-cases/subst/unicode.t
+		test/blackbox-tests/test-cases/subst/from-project-file.t
+		test/blackbox-tests/test-cases/trace-file.t
+		otherlibs/build-info/test/run.t
+		test/expect-tests/vcs_tests.ml
+
+		# Strange failures, seemingly from newer versions of deps
+		test/blackbox-tests/test-cases/merlin/allow_approximate_merlin_warn.t
+		test/blackbox-tests/test-cases/merlin/merlin-tests.t
+		test/blackbox-tests/test-cases/merlin/github4125.t
+		test/blackbox-tests/test-cases/install-dry-run.t
+		test/blackbox-tests/test-cases/c-flags.t
+		test/blackbox-tests/test-cases/install-libdir.t
+		test/blackbox-tests/test-cases/dune-cache/trim.t
+
+		# Wants nodejs!
+		test/blackbox-tests/test-cases/jsoo/simple.t
+		test/blackbox-tests/test-cases/jsoo/inline-tests.t
+		test/blackbox-tests/test-cases/jsoo/github3622.t
+		# Wants js_of_ocaml (can't include yet b/c of ocaml-base64 porting)
+		test/blackbox-tests/test-cases/jsoo/explicit-js-mode-specified.t
+
+		# Wants coq which doesn't build for me right now
+		test/blackbox-tests/test-cases/coq/rec-module.t
+		test/blackbox-tests/test-cases/coq/compose-sub-theory.t
+		test/blackbox-tests/test-cases/coq/native-compose.t
+		test/blackbox-tests/test-cases/coq/base-unsound.t
+		test/blackbox-tests/test-cases/coq/base.t
+		test/blackbox-tests/test-cases/coq/native-single.t
+		test/blackbox-tests/test-cases/coq/compose-simple.t
+		test/blackbox-tests/test-cases/coq/ml-lib.t
+		test/blackbox-tests/test-cases/coq/extract.t
+		test/blackbox-tests/test-cases/coq/compose-plugin.t
+
+		# Unpackaged dependencies (a rabbit hole for now)
+		# utop -> lambda-term, zed
+		test/blackbox-tests/test-cases/utop/github3188.t
+		test/blackbox-tests/test-cases/utop/utop-simple.t
+		test/blackbox-tests/test-cases/utop/utop-default.t
+		test/blackbox-tests/test-cases/utop/utop-default-implementation.t
+		test/blackbox-tests/test-cases/utop/utop-ppx-rewriters.t
+		# ocamlformat
+		test/blackbox-tests/test-cases/formatting.t
+		# mdx
+		test/blackbox-tests/test-cases/mdx-stanza.t
+		# odoc
+		test/blackbox-tests/test-cases/odoc/odoc-simple.t
+		test/blackbox-tests/test-cases/odoc/odoc-package-mld-link.t
+		test/blackbox-tests/test-cases/odoc/multiple-private-libs.t
+		test/blackbox-tests/test-cases/odoc/odoc-unique-mlds.t
+		test/blackbox-tests/test-cases/odoc/github717-odoc-index.t
+		test/blackbox-tests/test-cases/odoc/warnings.t
+	)
+
+	rm -r ${bad_tests[@]} || die "Failed to remove broken/inappropriate tests"
+}
+
+src_configure(){
+	:
+}


             reply	other threads:[~2021-01-24 16:06 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-24 16:06 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07 20:15 [gentoo-commits] repo/gentoo:master commit in: dev-ml/dune-configurator/ Alfredo Tupone
2024-08-16 13:58 Sam James
2024-08-14  9:50 Sam James
2024-08-14  9:49 Sam James
2024-08-13 20:01 Arthur Zamarin
2024-08-13 19:32 Arthur Zamarin
2024-08-02  7:18 Alfredo Tupone
2024-07-03 16:02 Alfredo Tupone
2024-07-02  7:18 Alfredo Tupone
2024-06-08 15:39 Arthur Zamarin
2024-06-08 15:32 Sam James
2024-06-08 14:21 Arthur Zamarin
2024-06-08 14:21 Arthur Zamarin
2024-06-08 14:21 Arthur Zamarin
2024-06-08 14:12 Alfredo Tupone
2024-06-04  6:11 Alfredo Tupone
2023-08-16 13:29 Arthur Zamarin
2023-08-02 19:53 Alfredo Tupone
2023-07-11 17:01 Alfredo Tupone
2023-07-03 19:02 Alfredo Tupone
2023-05-23 19:37 Alfredo Tupone
2023-05-20 16:47 Alfredo Tupone
2023-04-16  8:41 Alfredo Tupone
2023-03-17 14:23 Arthur Zamarin
2023-03-17 14:21 Arthur Zamarin
2023-03-17 12:33 Arthur Zamarin
2023-03-15 20:26 Arthur Zamarin
2023-03-01 18:42 Alfredo Tupone
2023-02-24 16:14 Arthur Zamarin
2023-02-23 23:38 Sam James
2022-12-16 21:52 Alfredo Tupone
2022-11-22 19:17 Alfredo Tupone
2022-11-21 13:16 Alfredo Tupone
2022-11-19 22:51 Alfredo Tupone
2022-11-19 18:29 Alfredo Tupone
2022-11-18 17:47 Arthur Zamarin
2022-10-12 18:43 Alfredo Tupone
2022-07-23 23:52 Sam James
2022-07-06  6:11 Alfredo Tupone
2022-01-29 19:37 Alfredo Tupone
2021-12-10 17:15 Jakov Smolić
2021-12-10 11:15 Jakov Smolić
2021-12-08 19:09 Arthur Zamarin
2021-12-07 20:25 Arthur Zamarin
2021-10-15  3:04 Sam James
2021-10-05  6:26 Sam James
2021-07-21 20:08 Alfredo Tupone
2021-05-04 19:10 Sam James
2021-04-26 19:22 Sam James
2021-04-25 15:52 Sam James
2021-04-22 23:33 Sam James
2021-04-22 23:33 Sam James
2021-04-22 20:19 Sam James
2021-04-18  6:47 Sam James
2021-03-15  4:02 Sam James
2021-03-14 22:03 Sam James
2021-03-13 14:05 Sam James
2021-03-13 14:03 Sam James
2021-03-04 14:28 Agostino Sarubbo
2021-02-25 17:54 Sam James
2021-02-25 13:09 Sam James
2021-02-21  9:49 Sam James
2021-02-10 16:39 Sam James
2021-01-29 22:08 Sam James
2021-01-28 20:25 Sam James
2021-01-28  2:48 Sam James
2021-01-27 19:53 Sam James
2021-01-27  6:04 Sam James
2021-01-25  0:46 Sam James
2021-01-25  0:41 Sam James
2021-01-25  0:40 Sam James
2021-01-24 17:10 Sam James
2021-01-24 17:10 Sam James
2020-10-15 12:20 Mark Wright

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1611504369.d51ff556bdce311ce0a0f5c0a070745ed5d237fd.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox